GH-RULESET-VIEW(1)

NAME
gh-ruleset-view - View information about a ruleset

SYNOPSIS
gh ruleset view [<ruleset-id>] [flags]

DESCRIPTION
View information about a GitHub ruleset.

If no ID is provided, an interactive prompt will be used to choose the ruleset to view.

Use the --parents flag to control whether rulesets configured at higher levels that also apply to the provided repository or organization should be returned. The default is true.

OPTIONS

-o, --org <string>
    Organization name if the provided ID is an organization-level ruleset

-p, --parents (default true)
    Whether to include rulesets configured at higher levels that also apply

-w, --web
    Open the ruleset in the browser

OPTIONS INHERITED FROM PARENT COMMANDS

-R, --repo <[HOST/]OWNER/REPO>
    Select another repository using the [HOST/]OWNER/REPO format

EXIT CODES
0: Successful execution

1: Error

2: Command canceled

4: Authentication required

NOTE: Specific commands may have additional exit codes. Refer to the command's help for more information.

EXAMPLE
    # Interactively choose a ruleset to view from all rulesets that apply to the current repository
    $ gh ruleset view
    # Interactively choose a ruleset to view from only rulesets configured in the current repository
    $ gh ruleset view --no-parents
    # View a ruleset configured in the current repository or any of its parents
    $ gh ruleset view 43
    # View a ruleset configured in a different repository or any of its parents
    $ gh ruleset view 23 --repo owner/repo
    # View an organization-level ruleset
    $ gh ruleset view 23 --org my-org

SEE ALSO
gh-ruleset(1)